# dhtmlxconnector:dataitem_object [DHX documentation]

DHTMLX Docs & Samples Explorer

Index
dhtmlxconnector
API of DataItem Objects

#### get_value

returns value for named field

         $dataItem->get_value($name)

Parameters:

- $name - name or alias of the field

#### set_value

allows to set value of named field

          $dataItem->set_value($name,$value)

Parameters:

- $name - name or alias of the field
- $value - new value

#### get_id

returns id of the item:

        $dataItem->get_id();

#### set_id

allows to set id of the item:

        $dataItem->set_id($value);

Parameters:

- $value - id of the item

#### get_index

returns index of current item ( for example, in grid , it will be an index of row )

        $dataItem->get_index();

#### skip

calling skip method will result in ignoring current item while rendering output. It allows to define custom filtering rules

        $dataItem->skip();